部门管理 API
由
scripts/generate-api-docs.ts自动生成 —— 请勿手改 共 8 个端点
POST /system/dept
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqAddDeptDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
PUT /system/dept
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqUpdateDept"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
DELETE /system/dept/{deptId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
deptId | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/dept/{deptId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
deptId | path | number | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/dept/list
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/dept/list/exclude/{deptId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
deptId | path | number | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/dept/roleDeptTreeselect/{roleId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
roleId | path | number | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/dept/treeselect
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |